Package org.eclipse.emf.cdo.ui.widgets

# Class CommitHistoryComposite.LabelProvider

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.viewers.BaseLabelProvider
org.eclipse.jface.viewers.LabelProvider
org.eclipse.net4j.util.ui.ManagedLabelProvider
org.eclipse.net4j.util.ui.TableLabelProvider<CDOCommitInfo>
org.eclipse.emf.cdo.ui.widgets.CommitHistoryComposite.LabelProvider

All Implemented Interfaces:
  `IBaseLabelProvider`, `ILabelProvider`, `ITableColorProvider`, `ITableFontProvider`, `ITableLabelProvider`

Enclosing class:
  CommitHistoryComposite

public static class CommitHistoryComposite.LabelProvider extends org.eclipse.net4j.util.ui.TableLabelProvider<CDOCommitInfo>
A `TableLabelProvider` for the content of a CommitHistoryComposite, i.e., the elements of a `CDOCommitHistory`.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.ui.TableLabelProvider

`org.eclipse.net4j.util.ui.TableLabelProvider.Column<T extends Object>`

## Constructor Summary

Constructors
Constructor
Description
`LabelProvider()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBranchString(CDOBranch branch)`
`CDOBranch`
`getInputBranch()`
`String`
`getLocalUserID()`
`String`
`getTimeStampString(long timeStamp)`
`boolean`
`isFormatTimeStamps()`
`boolean`
`isShortenBranchPaths()`
`void`
`setFormatTimeStamps(boolean formatTimeStamps)`
`void`
`setInputBranch(CDOBranch inputBranch)`
`void`
`setLocalUserID(String localUserID)`
`void`
`setShortenBranchPaths(boolean shortenBranchPaths)`

### Methods inherited from class org.eclipse.net4j.util.ui.TableLabelProvider

`addColumn, getBackground, getColumn, getColumnImage, getColumnText, getFont, getForeground, isHeaderVisible, isLinesVisible, removeColumn, setHeaderVisible, setLinesVisible, support`

### Methods inherited from class org.eclipse.net4j.util.ui.ManagedLabelProvider

`createResourceManager, dispose, getResource, getResourceManager`

### Methods inherited from class org.eclipse.jface.viewers.LabelProvider

`createImageProvider, createTextImageProvider, createTextProvider, getImage, getText`

### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

`addListener, fireLabelProviderChanged, isLabelProperty, removeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

## Constructor Details

### LabelProvider

public LabelProvider()

## Method Details

### getLocalUserID

public String getLocalUserID()

### setLocalUserID

public void setLocalUserID(String localUserID)

### getInputBranch

public CDOBranch getInputBranch()

### setInputBranch

public void setInputBranch(CDOBranch inputBranch)

### isFormatTimeStamps

public boolean isFormatTimeStamps()

### setFormatTimeStamps

public void setFormatTimeStamps(boolean formatTimeStamps)

### isShortenBranchPaths

public boolean isShortenBranchPaths()

Since:
  4.6

### setShortenBranchPaths

public void setShortenBranchPaths(boolean shortenBranchPaths)

Since:
  4.6

### getBranchString

public String getBranchString(CDOBranch branch)

Since:
  4.6

### getTimeStampString

public String getTimeStampString(long timeStamp)

Since:
  4.6